package puissance4;

import jeuplateau.Coup;
import jeuplateau.Jeton;

public class CoupPuissance4 extends Coup {

    private int colonne;
    private Jeton jeton;

    public CoupPuissance4(int _colonne, Jeton _jeton) {
        super();
        colonne = _colonne;
        jeton = _jeton;
    }

    public int getColonne() {
        return colonne;
    }

    public Jeton getJeton() {
        return jeton;
    }

    @Override
    public String toString() {
        return "(" + colonne + ")";
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;

        if (this.getClass() != obj.getClass())
            return false;

        CoupPuissance4 coup = (CoupPuissance4) obj;

        return colonne == coup.getColonne() && jeton.toString().equals(coup.getJeton().toString());
    }

    @Override
    public int hashCode() {
        return jeton.toString().hashCode() + colonne;
    }

}
