import java.util.Scanner;

import puissance4.GrillePuissance4;
import jeuplateau.JoueurHumain;
import jeuplateau.JoueurOrdi;
import jeuplateau.Arbitre;
import jeuplateau.minmax.AlgoMinMax;

import jeuplateau.AlgoRechercheAleatoire;

/**
 *
 * @author Franck
 */

public class Player {

    public static void main(String args[]) {

        JoueurHumain humain = new JoueurHumain("Humain");
        JoueurOrdi joueurOrdi = new JoueurOrdi("Ordi");

        // L'ordinateur joue au hasard
        AlgoRechercheAleatoire aleatoire = new AlgoRechercheAleatoire();

        // Remplacer ici l'algorithme aléatoire par votre algorithme MinMax
        // Pour cela compléter la classe AlgoMinMax présent dans le package jeuplateau.minmax
        
        // AlgoMinMax minMax = new AlgoMinMax(humain, joueurOrdi);
        

        // On indique ici l'algorithme que l'IA va utiliser.
        joueurOrdi.setAlgoRecherche(aleatoire);
        
        // joueurOrdi.setAlgoRecherche(minMax);        

        GrillePuissance4 grille = new GrillePuissance4();

        Arbitre arbitre = new Arbitre(grille, humain, joueurOrdi);

        arbitre.startNewGame(true); // Demarre une partie en affichant la grille du jeu

        // Pour lancer un tournoi de 100 parties sans afficher la grille du jeu
        // arbitre.startTournament(100 , false);

    }

}
