package jeuplateau;

import java.util.ArrayList;
import java.util.Random;

/**
 *
 * @author Franck
 */
public class AlgoRechercheAleatoire extends AlgoRecherche {
    Random rnd;

    public AlgoRechercheAleatoire() {
        rnd = new Random();
    }

    @Override
    public Coup meilleurCoup(Plateau _plateau, Joueur _joueur) {

        ArrayList<Coup> coups = _plateau.getListeCoups(_joueur);
        Coup coup = coups.get(rnd.nextInt(coups.size()));

        coup.setNote(rnd.nextInt(100)); // Fixe une note au hasard au coup entre 0 et 99

        return coup;
    }

}
